import es
import console

is_loaded = False

info = es.AddonInfo()
info.name = "SRCDS tools"
info.basename = "srcds"
info.description = "Python package for advanced SRCDS stuff for EventScripts 2.0"
info.author = "GODJonez"
info.version = "0.8.0811"

def load():
    global is_loaded
    is_loaded = True
    if not es.exists('command', '_start_console_capture'):
        es.regcmd('_start_console_capture', 'srcds/ccmd_start_console_capture', 'Start capturing console output')
    if not es.exists('command', '_end_console_capture'):
        es.regcmd('_end_console_capture', 'srcds/ccmd_end_console_capture', 'Stop capturing console output')
        
def unload():
    global is_loaded
    is_loaded = False

def ccmd_start_console_capture():
    if es.getargc() != 2:
        es.dbgmsg(0, 'Error: This command must not be used manually')
        return False
    try:
        thisid = int(es.getargv(1))
    except ValueError:
        es.dbgmsg(0, 'Error: This command must not be used manually')
        return False
    if thisid not in console._concmd_handlers:
        es.dbgmsg(0, 'Error: invalid handler id')
        return False
    console._concmd_handlers.start(thisid)
    return True

def ccmd_end_console_capture():
    if es.getargc() != 2:
        es.dbgmsg(0, 'Error: This command must not be used manually')
        return False
    try:
        thisid = int(es.getargv(1))
    except ValueError:
        es.dbgmsg(0, 'Error: This command must not be used manually')
        return False
    if thisid not in console._concmd_handlers:
        es.dbgmsg(0, 'Error: invalid handler id')
        return False
    console._concmd_handlers.end(thisid)
    return True
